com.genesyslab.wfm8.API.service.calendar851

## Class CalTimeOffBidStatus

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar851.CalTimeOffBidStatus

- All Implemented Interfaces:
    java.io.Serializable

      public class CalTimeOffBidStatus
      extends java.lang.Object
      implements java.io.Serializable

  Time Off Bid Status
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAgentId`
    `protected int` | `gswUserId`
    `private static long` | `serialVersionUID`
    `protected java.lang.String` | `wmComments`
    `protected double` | `wmExpires`
    `protected int` | `wmStatus` `ECalTimeOffBidStatus`
    `protected int` | `wmTimeOffBidPeriodId`
    `protected long` | `wmTimeOffBidStatusId`
    `protected double` | `wmTimestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalTimeOffBidStatus()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `int` | `getGswUserId()` Gets the value of the gswUserId property.
    `java.lang.String` | `getWmComments()` Gets the value of the wmComments property.
    `double` | `getWmExpires()` Gets the value of the wmExpires property.
    `int` | `getWmStatus()` Gets the value of the wmStatus property.
    `int` | `getWmTimeOffBidPeriodId()` Gets the value of the wmTimeOffBidPeriodId property.
    `long` | `getWmTimeOffBidStatusId()` Gets the value of the wmTimeOffBidStatusId property.
    `double` | `getWmTimestamp()` Gets the value of the wmTimestamp property.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `void` | `setGswUserId(int value)` Sets the value of the gswUserId property.
    `void` | `setWmComments(java.lang.String value)` Sets the value of the wmComments property.
    `void` | `setWmExpires(double value)` Sets the value of the wmExpires property.
    `void` | `setWmStatus(int value)` Sets the value of the wmStatus property.
    `void` | `setWmTimeOffBidPeriodId(int value)` Sets the value of the wmTimeOffBidPeriodId property.
    `void` | `setWmTimeOffBidStatusId(long value)` Sets the value of the wmTimeOffBidStatusId property.
    `void` | `setWmTimestamp(double value)` Sets the value of the wmTimestamp property.
    `java.lang.String` | `toString()`
    `CalTimeOffBidStatus` | `withGswAgentId(int value)`
    `CalTimeOffBidStatus` | `withGswUserId(int value)`
    `CalTimeOffBidStatus` | `withWmComments(java.lang.String value)`
    `CalTimeOffBidStatus` | `withWmExpires(double value)`
    `CalTimeOffBidStatus` | `withWmStatus(int value)`
    `CalTimeOffBidStatus` | `withWmTimeOffBidPeriodId(int value)`
    `CalTimeOffBidStatus` | `withWmTimeOffBidStatusId(long value)`
    `CalTimeOffBidStatus` | `withWmTimestamp(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmTimeOffBidStatusId

          protected long wmTimeOffBidStatusId

    - #### wmTimeOffBidPeriodId

          protected int wmTimeOffBidPeriodId

    - #### gswAgentId

          protected int gswAgentId

    - #### wmStatus

          protected int wmStatus

      `ECalTimeOffBidStatus`

    - #### wmExpires

          protected double wmExpires

    - #### wmComments

          protected java.lang.String wmComments

    - #### wmTimestamp

          protected double wmTimestamp

    - #### gswUserId

          protected int gswUserId

  - ### Constructor Detail

    - #### CalTimeOffBidStatus

          public CalTimeOffBidStatus()

  - ### Method Detail

    - #### getWmTimeOffBidStatusId

          public long getWmTimeOffBidStatusId()

      Gets the value of the wmTimeOffBidStatusId property.

    - #### setWmTimeOffBidStatusId

          public void setWmTimeOffBidStatusId(long value)

      Sets the value of the wmTimeOffBidStatusId property.

    - #### getWmTimeOffBidPeriodId

          public int getWmTimeOffBidPeriodId()

      Gets the value of the wmTimeOffBidPeriodId property.

    - #### setWmTimeOffBidPeriodId

          public void setWmTimeOffBidPeriodId(int value)

      Sets the value of the wmTimeOffBidPeriodId property.

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### getWmStatus

          public int getWmStatus()

      Gets the value of the wmStatus property.

    - #### setWmStatus

          public void setWmStatus(int value)

      Sets the value of the wmStatus property.

    - #### getWmExpires

          public double getWmExpires()

      Gets the value of the wmExpires property.

    - #### setWmExpires

          public void setWmExpires(double value)

      Sets the value of the wmExpires property.

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the value of the wmComments property.
      Returns:
        possible object is `String`

    - #### setWmComments

          public void setWmComments(java.lang.String value)

      Sets the value of the wmComments property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmTimestamp

          public double getWmTimestamp()

      Gets the value of the wmTimestamp property.

    - #### setWmTimestamp

          public void setWmTimestamp(double value)

      Sets the value of the wmTimestamp property.

    - #### getGswUserId

          public int getGswUserId()

      Gets the value of the gswUserId property.

    - #### setGswUserId

          public void setGswUserId(int value)

      Sets the value of the gswUserId property.

    - #### withWmTimeOffBidStatusId

          public CalTimeOffBidStatus withWmTimeOffBidStatusId(long value)

    - #### withWmTimeOffBidPeriodId

          public CalTimeOffBidStatus withWmTimeOffBidPeriodId(int value)

    - #### withGswAgentId

          public CalTimeOffBidStatus withGswAgentId(int value)

    - #### withWmStatus

          public CalTimeOffBidStatus withWmStatus(int value)

    - #### withWmExpires

          public CalTimeOffBidStatus withWmExpires(double value)

    - #### withWmComments

          public CalTimeOffBidStatus withWmComments(java.lang.String value)

    - #### withWmTimestamp

          public CalTimeOffBidStatus withWmTimestamp(double value)

    - #### withGswUserId

          public CalTimeOffBidStatus withGswUserId(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.